  Colormap cmap;
  if (depth==8)
    {
      // Install Private Colormap
      cmap=XCreateColormap(dpy,win,DefaultVisual(dpy, scr),AllocAll);
      XColor colors[256];
      for (int a=0;a<256;a++)
	{
	  colors[a].pixel=a;
	  colors[a].red=pal->palette[a].red;
	  colors[a].green=pal->palette[a].green;
	  colors[a].blue=pal->palette[a].blue;
	  colors[a].flags=DoRed|DoGreen|DoBlue;
	}
      XStoreColors(dpy,cmap,colors,256);
      XSetWindowColormap(dpy, win, cmap);

    }
  else
    {
      // 32 Bit Farbtiefe Truecolor Remap Tabelle erstellen !
      // Meine Palette ausgeben
      //      printf("Meine Palette (ist zwar Truecolor aber ich benutze intern nur 8Bit !):\n");
      cmap=DefaultColormap(dpy, scr);
      XColor color;
      for (int akt=0;akt<256;akt++)
	{
	  color.red=pal->palette[akt].red; 
	  color.green=pal->palette[akt].green;
	  color.blue=pal->palette[akt].blue;
	  //  printf("Pal Entry: %i Red: %i   Green: %i   Blue: %i\n",akt,color.red,color.green,color.blue);	 
	  //	 color.flags=DoRed|DoGreen|DoBlue;
	  color.pixel=akt;
	  
	  if (!XAllocColor(dpy,cmap,&color))
	    {
	      fatalfehler(
			  "sprite_linear_nontransparent_screentype::showpal:\n"
			  "Isn't possible !!");
	    }
	  remap32[akt]=color.pixel;
	}
    }
